> ## Documentation Index
> Fetch the complete documentation index at: https://docs.infinitecreator.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a webhook endpoint

> A webhook endpoint must have a `url`.



## OpenAPI

````yaml https://api.infinitecreator.com/openapi.json post /v1/webhook_endpoints
openapi: 3.1.0
info:
  title: Infinite Creator API
  description: >-
    For more information, refer to the [official
    documentation](https://docs.infinitecreator.com).
  version: 1.3.0
servers:
  - url: https://api.infinitecreator.com
security: []
paths:
  /v1/webhook_endpoints:
    post:
      tags:
        - webhook_endpoints
      summary: Create a webhook endpoint
      description: A webhook endpoint must have a `url`.
      operationId: create_webhook_endpoint_v1_webhook_endpoints_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookEndpointCreateRequest'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatedWebhookEndpoint'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Unauthorized
        '402':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Payment Required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
          description: Service Unavailable
components:
  schemas:
    WebhookEndpointCreateRequest:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: The URL of the webhook endpoint.
      type: object
      required:
        - url
      title: WebhookEndpointCreateRequest
    CreatedWebhookEndpoint:
      properties:
        url:
          type: string
          maxLength: 2083
          minLength: 1
          format: uri
          title: Url
          description: The URL of the webhook endpoint.
        id:
          type: string
          title: Id
          description: Unique identifier for the object.
        active:
          type: boolean
          title: Active
          description: Whether the webhook endpoint is enabled.
        secret:
          type: string
          title: Secret
          description: >-
            The endpoint's secret, used to generate webhook signatures. Only
            returned at creation.
      type: object
      required:
        - url
        - id
        - active
        - secret
      title: CreatedWebhookEndpoint
    APIError:
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
        context:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Context
      additionalProperties: false
      type: object
      title: APIError
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````